<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";


function plantilla10_add($idformato, $pdf)
{
    //echo "******************************** ", $idformato;
    $CI = &get_instance();
    $CI->load->database();
    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $y = 1;

    $where = array('idformato' => $idformato);
    $query7 = $CI->db->get_where('10_vehiculos_add', $where, 1);
    $codigo_10_add = $query7->row();
    $pdf->SetTextColor(0, 0, 0);

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();

    $CI->db->select('*')->from('10_vehiculos_add')->where('idformato', $idformato)->where('activo', 1);
    $consulta = $CI->db->get()->result_array();
    $lenght = count($consulta) - 1;

    for ($x = 0; $x <= $lenght; $x++) {
        $datos = array(
            $id = $consulta[$x]['idvehiculo'],
            'idvehiculo' => $consulta[$x]['idvehiculo'],
            'tipo_vehiculo' => $consulta[$x]['tipo_vehiculo'],
            'tipo_vehiculo_esp' => $consulta[$x]['tipo_vehiculo_esp'],
            'titular_vehiculo' => $consulta[$x]['titular_vehiculo'],
            'tercero' => $consulta[$x]['tercero'],
            'nombre_tercero' => $consulta[$x]['nombre_tercero'],
            'rfc_tercero' => $consulta[$x]['rfc_tercero'],
            'forma_adquisicion' => $consulta[$x]['forma_adquisicion'],
            'forma_pago' => $consulta[$x]['forma_pago'],
            'transmisor' => $consulta[$x]['transmisor'],
            'nombre_transmisor' => $consulta[$x]['nombre_transmisor'],
            'rfc_transmisor' => $consulta[$x]['rfc_transmisor'],
            'relacion_transmisor' => $consulta[$x]['relacion_transmisor'],
            'relacion_transmisor_esp' => $consulta[$x]['relacion_transmisor_esp'],
            'marca' => $consulta[$x]['marca'],
            'modelo' => $consulta[$x]['modelo'],
            'anio' => $consulta[$x]['anio'],
            'numero_serie' => $consulta[$x]['numero_serie'],
            'mexico_extranjero' => $consulta[$x]['mexico_extranjero'],
            'entidad_federativa_pais' => $consulta[$x]['entidad_federativa_pais'],
            'valor_adquisicion' => $consulta[$x]['valor_adquisicion'],
            'tipo_moneda' => $consulta[$x]['tipo_moneda'],
            'fecha_adquisicion' => $consulta[$x]['fecha_adquisicion'],
            'motivo_baja' => $consulta[$x]['motivo_baja'],
            'motivo_baja_esp' => $consulta[$x]['motivo_baja_esp'],
            'ninguno' => $consulta[$x]['ninguno'],
            'aclaraciones' => $consulta[$x]['aclaraciones'],
        );


        //View tipos Declarante  10. vEHICULOS
        $where = array('idformato' => $idformato, 'idvehiculo' => $id);
        $CI->db->select('tipos_declarante.nombre as nombre');
        $CI->db->from('10_vehiculos_add');
        $CI->db->join('tipos_declarante', '10_vehiculos_add.titular_vehiculo=tipos_declarante.idtipo');
        $CI->db->where($where);;
        $query = $CI->db->get();
        $view_declarante10 = $query->row();

        //View tipos Relacion  10. 
        $where = array('idformato' => $idformato, 'idvehiculo' => $id);
        $CI->db->select('tipos_relacion.nombre as nombre');
        $CI->db->from('10_vehiculos_add');
        $CI->db->join('tipos_relacion', '10_vehiculos_add.relacion_transmisor=tipos_relacion.idtipo_relacion');
        $CI->db->where($where);;
        $query = $CI->db->get();
        $view_relacion10 = $query->row();

$y++;
        if ($codigo_10_add->idformato == $idformato) {
           

                $pdf->setSourceFile('plantillas/Vehiculos_10_In.pdf');

            

            

            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);


            $pdf->SetFont('Arial', 'B', 9);
            $pdf->SetTextColor(255, 255, 255);
            $pdf->SetFillColor(122, 70, 100);
            $pdf->SetY(22);
            $pdf->SetX(176);
            $pdf->MultiCell(27, 6, utf8_decode('NÚMERO # ' . $y), 0, 0, true);

            $pdf->SetY(22);
            $pdf->SetX(13);
            $pdf->MultiCell(151, 6, ' ', 0, 0, true);
           // $pdf->MultiCell(20, 4, utf8_decode('id:----' . $datos["idinmueble"]), 1, 0, true);

            $pdf->SetFont('Arial', '', 8);
            $pdf->SetTextColor(0, 0, 0);
            if ($datos["ninguno"] == '1') {
                $logo = SERVIDOR . APP . 'application/images/check2.png';
                $pdf->Image($logo, 191.1, 184.5, 4, 4);
            }
            $pdf->SetY(60);
            $pdf->SetX(53);
            if ($datos["tipo_vehiculo"] == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(61, 4, utf8_decode($datos["tipo_vehiculo_esp"]));
            } else {
                $pdf->Cell(61, 4, utf8_decode($datos["tipo_vehiculo"]));
            }

            $pdf->Ln(5);
            $pdf->SetX(53);
            if ($view_declarante10 != null) {
                $pdf->Cell(123, 4, utf8_decode($view_declarante10->nombre));
            }

            $pdf->Ln(8.5);
            $pdf->SetX(13);
            $pdf->Cell(61, 4, utf8_decode($datos["tercero"]));
            $pdf->Cell(123, 4, utf8_decode($datos["nombre_tercero"]));
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(61, 4, utf8_decode($datos["rfc_tercero"]));
            $pdf->Cell(62, 4, utf8_decode($datos["forma_adquisicion"]));
            $pdf->Cell(61, 4, utf8_decode($datos["forma_pago"]));
            $pdf->Ln(10.5);
            $pdf->SetX(13);
            $pdf->Cell(85, 4, utf8_decode($datos["transmisor"]));


            if ($datos["relacion_transmisor"] == '20') {
                $pdf->Cell(99, 4, utf8_decode($datos["relacion_transmisor_esp"]));
            } else {
                if ($view_relacion10 != null) {
                    $pdf->Cell(99, 4, utf8_decode($view_relacion10->nombre));
                }
            }


            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(135, 4, utf8_decode($datos["nombre_transmisor"]));
            $pdf->Cell(49, 4, utf8_decode($datos["rfc_transmisor"]));
            $pdf->Ln(10.5);
            $pdf->SetX(13);
            $pdf->Cell(56, 4, utf8_decode($datos["marca"]));
            $pdf->Cell(56, 4, utf8_decode($datos["modelo"]));
            $pdf->Cell(24, 4, utf8_decode($datos["anio"]));
            $pdf->Cell(48, 4, utf8_decode($datos["numero_serie"]));
            // $pdf->AddPage();
            // $tplIdx = $pdf->importPage(7);
            // $pdf->useTemplate($tplIdx, 0, 0);
            //break
            //case 6:
            $pdf->SetX(106);
            $pdf->SetFont('Arial', 'B', 8);
            if ($datos["mexico_extranjero"] == 'EN EL EXTRANJERO') {
                $pdf->Text(115, 135, utf8_decode('PAÍS'));
            } else {
                $pdf->Text(115, 135, utf8_decode('ENTIDAD FEDERATIVA'));
            }
            $pdf->SetFont('Arial', '', 8);
            $pdf->SetY(138);
            $pdf->SetX(13);
            $pdf->Cell(62, 4, utf8_decode($datos["mexico_extranjero"]));
            $pdf->Cell(122, 4, utf8_decode($datos["entidad_federativa_pais"]));
            $pdf->Ln(10.5);
            $pdf->SetX(13);
            $pdf->Cell(61, 4, utf8_decode($datos["valor_adquisicion"]));
            $pdf->Cell(66, 4, utf8_decode($datos["tipo_moneda"]));
            $pdf->Cell(61, 4, utf8_decode($datos["fecha_adquisicion"]));
            $pdf->Ln(5);
            $pdf->SetX(90);
            //$pdf->Cell(92, 4, utf8_decode($codigo_10->motivo_baja), 1);

            if ($datos["motivo_baja"] == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(92, 4, utf8_decode($datos["motivo_baja_esp"]));
            } else {
                $pdf->Cell(92, 4, utf8_decode($datos["motivo_baja"]));
            }
            $pdf->SetY(164);
            $pdf->SetX(13);
            $pdf->MultiCell(184, 3.5, utf8_decode($datos["aclaraciones"]));
        }
    }

    //  return $pdf->Output("ejemplo.pdf", 'I', false);
}
